BORG-RLIST(1)

NAME
borg-rlist - List the archives contained in a repository

SYNOPSIS

borg [common options] rlist [options]

DESCRIPTION

This command lists the archives contained in a repository.

OPTIONS

See borg-common(1) for common options of Borg commands.

  optional arguments

--consider-checkpoints
    Show checkpoint archives in the repository contents list (default: hidden).

--short
    only print the archive names, nothing else

--format FORMAT
    specify format for archive listing (default: "{archive:<36} {time} [{id}]{NL}")

--json
    Format output as JSON. The form of --format is ignored, but keys used in it are added to the JSON output. Some keys are always present. Note: JSON can only represent text.

  Archive filters

-a PATTERN, --match-archives PATTERN
    only consider archive names matching the pattern. see "borg help match-archives".

--sort-by KEYS
    Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id; default is: timestamp

--first N
    consider first N archives after other filters were applied

--last N
    consider last N archives after other filters were applied

--oldest TIMESPAN
    consider archives between the oldest archive's timestamp and (oldest + TIMESPAN), e.g. 7d or 12m.

--newest TIMESPAN
    consider archives between the newest archive's timestamp and (newest - TIMESPAN), e.g. 7d or 12m.

--older TIMESPAN
    consider archives older than (now - TIMESPAN), e.g. 7d or 12m.

--newer TIMESPAN
    consider archives newer than (now - TIMESPAN), e.g. 7d or 12m.

EXAMPLES

$ borg rlist
Monday                               Mon, 2016-02-15 19:15:11
repo                                 Mon, 2016-02-15 19:26:54
root-2016-02-15                      Mon, 2016-02-15 19:36:29
newname                              Mon, 2016-02-15 19:50:19
...

NOTES

  The FORMAT specifier syntax

The --format option uses python's format string syntax.

Examples:

$ borg rlist --format '{archive}{NL}'
ArchiveFoo
ArchiveBar
...
# {VAR:NUMBER} - pad to NUMBER columns.
# Strings are left-aligned, numbers are right-aligned.
# Note: time columns except ``isomtime``, ``isoctime`` and ``isoatime`` cannot be padded.
$ borg rlist --format '{archive:36} {time} [{id}]{NL}' /path/to/repo
ArchiveFoo                           Thu, 2021-12-09 10:22:28 [0b8e9...3b274]
...

The following keys are always available:

•   NEWLINE: OS dependent line separator

•   NL: alias of NEWLINE

•   NUL: NUL character for creating print0 / xargs -0 like output

•   SPACE: space character

•   TAB: tab character

•   CR: carriage return character

•   LF: line feed character

    Keys available only when listing archives in a repository:

•   archive: archive name

•   name: alias of "archive"

•   comment: archive comment

•   id: internal ID of the archive

•   start: time (start) of creation of the archive

•   time: alias of "start"

•   end: time (end) of creation of the archive

•   command_line: command line which was used to create the archive

•   hostname: hostname of host on which this archive was created

•   username: username of user who created this archive

•   size: size of this archive (data plus metadata, not considering compression and deduplication)

•   nfiles: count of files in this archive

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective